﻿using System;
using System.Collections.Generic;
using System.Drawing;
using System.Linq;
using System.Text;
using Telerik.WinControls;

namespace _708167_BubbleBar
{
    public class BubbleBarMouseOverBehavior : PropertyChangeBehavior
    {
        public BubbleBarMouseOverBehavior()
            : base(RadItem.IsMouseOverProperty)
        {
        }
        public override void OnPropertyChange(RadElement element, RadPropertyChangedEventArgs e)
        {

            if (Convert.ToBoolean(e.NewValue) == true)
            {
                element.ResetValue(RadElement.ScaleTransformProperty);
                AnimatedPropertySetting animatedExpand = new AnimatedPropertySetting(RadElement.ScaleTransformProperty, new SizeF(0.65f, 0.65f), new SizeF(1f, 1f), 5, 30);
                animatedExpand.ApplyValue(element);
            }
            else
            {
                AnimatedPropertySetting animatedExpand = new AnimatedPropertySetting(RadElement.ScaleTransformProperty, new SizeF(0.65f, 0.65f), new SizeF(1f, 1f), 5, 30);
                animatedExpand.ApplyValue(element);
            }
        }
    }
}
